/*+
|                                               |
|     Trigger: DTULTATU_ESTADOCIVIL             |  
|     Tabela : ESTADOCIVIL                      |
|                                               |
|     Criao:                                  |
|     19/07/2007 - Luiz Passos                  |
|                                               |
+*/

create or replace TRIGGER DTULTATU_ESTADOCIVIL
BEFORE INSERT OR UPDATE OR DELETE
ON ESTADOCIVIL FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUESTACIV := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDESTACIVIL,0) <> NVL(:NEW.CDESTACIVIL,0)) OR
           (NVL(:OLD.NMESTACIVIL,0) <> NVL(:NEW.NMESTACIVIL,0)) THEN
         :NEW.DTULTATUESTACIV := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ESTADOCIVIL'  , '', 'CDESTACIVIL='||:OLD.CDESTACIVIL||';', SYSDATE);
   END IF;
END;
/


ALTER TABLE ESTADOCIVIL MODIFY DTULTATUESTACIV DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_ESTADOCIVIL','5.01.008'); END;
/

